#### Previous topic

scipy.special.sph_inkn

#### Next topic

scipy.special.riccati_yn

# scipy.special.riccati_jn

`scipy.special.``riccati_jn`(n, x)

  Compute Ricatti-Bessel function of the first kind and derivative.

  This function computes the value and first derivative of the function for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of function to compute

  x : float

  > Argument at which to evaluate

  Returns:

  jn : ndarray

  > Value of j0(x), ..., jn(x)

  jnp : ndarray

  > First derivative j0’(x), ..., jn’(x)

  References

  [R347] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html